/* your copyright here */

/* Enable debugging output */
#define LIBND_DEBUG 1

#include <libnd.h>


/* This is a basic libnetdude plugin skeleton, tweak as you see fit!
 * You don't need to fill in everything, the default functions simply
 * do nothing. The return values are currently not used, except for
 * name() of course.
 *
 * At the shell prompt, you can always find out where plugins are
 * installed by typing "libnetdude-config --plugin-dir".
 */


/* Return the name of the plugin, to be displayed
 * in the Plugins menu.
 */
const char *
name(void)
{
  return "Template Plugin";
}


const char *
author(void)
{
  return "You, <your@email.foo>";
}

const char *
version(void)
{
  return "0.1";
}


/* This function is automatically called when the plugin is registered.
 * You can perform an initialization that your plugin requires here.
 * Return TRUE when initialization succeeds, FALSE otherwise.
 */
gboolean
init(void)
{
  D(("Template plugin initialized.\n"));
  return TRUE;
}

/* Here's where the action is -- run() is called to launch the plugin. 
 */
void
run(LND_Trace *trace, void *user_data)
{
  D(("Yay! Running Template plugin ...\n"));
}
